EDIT - bug #6726

NPE in FactualDataView and feature selection does not show any entries in Factual Data View
06/14/2017 04:33 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: blocker Found in Version:

Description

Clicking on "New" does not open submenu.
This might be related to changes in feature tree editor.
Also creating a new Factual Data Set (DescriptionBase) afterwards throws an NPE:

login : admin
editor version : 4.8.0.201706140848
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.editor.view.descriptive.handler.DynamicFeatureMenu$1l.fill (DynamicFea
tureMenu. java:68)
at org.eclipse.ui.actions.CompoundContributionItem.fill (CompoundContributionItem. java:67)
at org.eclipse.ui.internal.menus.DynamicMenuContributionItem.fill (DynamicMenuContributionItem.
java:147)
at org.eclipse.jface.action.MenuManager.doltemFill (MenuManager. java:728)
at org.eclipse.jface.action.MenuManager.update (MenuManager. java:810)
at org.eclipse.jface.action.MenuManager.handleAboutToShow (MenuManager.java:472)
at org.eclipse.jface.action.MenuManager.access$1l (MenuManager. java:465)
at org.eclipse.jface.action.MenuManager$2.menuShown (MenuManager. java:497)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:256)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1103)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1084)

This might be related therefore | put it into the same ticket.

Related issues:
Related to EDIT - feature request #6694: Migrate FeatureTreeEditor Closed

Associated revisions

Revision 87110d2e - 06/16/2017 02:11 PM - Patrick Plitzner

fix #6726 Use correct selection service for dynamic menu

History

#1 - 06/14/2017 04:33 PM - Andreas Miiller
- Related to feature request #6694: Migrate FeatureTreeEditor added

#2 - 06/14/2017 04:36 PM - Andreas Miuller

- Description updated

#3 - 06/14/2017 04:38 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 4.8
#4 - 06/14/2017 04:44 PM - Andreas Miiller

- Subject changed from Feature selection does not show any entries in Factual Data View to NPE in FactualDataView and feature selection does not
show any entries in Factual Data View

#5 - 06/16/2017 02:12 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|87110d2e2{8e95f7fa3c0291a2a556c0a8364ef0.

#6 - 06/16/2017 02:12 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#7 - 06/21/2017 03:45 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

Seems to be fixed
